Package net.shibboleth.idp.saml.nameid.impl

# Class ProxySAML2NameIDGenerator

java.lang.Object
net.shibboleth.idp.saml.nameid.impl.ProxySAML2NameIDGenerator

All Implemented Interfaces:
  `NameIdentifierGenerator<NameID>`, `SAML2NameIDGenerator`

public class ProxySAML2NameIDGenerator extends Object implements SAML2NameIDGenerator
A compound implementation of the `SAML2NameIDGenerator` interface that wraps a sequence of candidate generators along with a default to try if no format-specific options are available.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final ReloadableService<NameIdentifierGenerationService>`
`generatorService`
Service used to get the generator to proxy.

## Constructor Summary

Constructors
Constructor
Description
`ProxySAML2NameIDGenerator(ReloadableService<NameIdentifierGenerationService> service)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`NameID`
`generate(ProfileRequestContext profileRequestContext, String format)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### generatorService

@Nonnull private final ReloadableService<NameIdentifierGenerationService> generatorService
Service used to get the generator to proxy.

## Constructor Details

### ProxySAML2NameIDGenerator

public ProxySAML2NameIDGenerator(@Nonnull ReloadableService<NameIdentifierGenerationService> service)
Constructor.

Parameters:
  `service` - the service providing the generator to proxy

## Method Details

### generate

@Nullable public NameID generate(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull @NotEmpty String format) throws SAMLException

Specified by:
  `generate` in interface `NameIdentifierGenerator<NameID>`
Specified by:
  `generate` in interface `SAML2NameIDGenerator`
Throws:
  `SAMLException`